# Terminal Exploration Game

Bienvenue dans le jeu d'exploration de salle ! Ce jeu vous permet d'explorer des niveaux et des salles, de collecter des objets, de combattre des monstres et de progresser à travers différents niveaux.

## Prérequis

- Java JDK 8 ou supérieur

## Structure du projet

Le projet est structuré comme suit :

Projet_Final/
├── bin/
| |__Test.jar
│ ├── paquetException/
│ │ └── MonException.class
│ ├── paquetGameUI/
│ │ ├── Player.class
│ │ ├── Room.class
│ │ └── RoomLoader.class
│ │ ├── Bomb.class
│ │ ├── GamePanel.class
│ │ └── MenuPanel.class
│ ├── paquetTerminal/
│ │ └── TerminalGame.class
│ └── paquetMain/
│ | └── Main.class
| |── levels/
|   ├── level1_room1.txt
|   └── level1_room2.txt
|   ├── level2_room1.txt
|   └── level2_room2.txt
|   |── level3_room1.txt
|   └── level3_room2.txt
|   ├── level4_room1.txt
|   └── level4_room2.txt
|__lib/
| |__
├── src/
| |__doc/
|   |__tout les paquets + html
│ ├── paquetException/
│ │ └── MonException.java
│ ├── paquetGameUI/
│ │ ├── Player.java
│ │ ├── Room.java
│ │ └── RoomLoader.java
│ │ ├── Bomb.java
│ │ ├── GamePanel.java
│ │ └── MenuPanel.java
│ ├── paquetTerminal/
│ │ └── TerminalGame.java
│ └── paquetMain/
│ └── Main.java
└── levels/
    ├── level1_room1.txt
    └── level1_room2.txt
    ├── level2_room1.txt
    └── level2_room2.txt
    |── level3_room1.txt
    └── level3_room2.txt
    ├── level4_room1.txt
    └── level4_room2.txt


## Exécutez le jeu :
Il faudrait se positionner sur le repertoire bin là ou on a créer le fichier jar grâce a cette commande 
    -> jar cvfe Test.jar paquetMain.Main paquetException/*.class paquetGameUI/*.class paquetTerminal/*.class paquetMain/*.class

cependant la commande qui nous permet d'exécuter le programme est comme suit:
    -> java -jar Test.jar  

nous avons essayé de compiler via un autre pc dont:
    -> L'erreur UnsupportedClassVersionError indique que le JAR a été compilé avec une version plus récente de Java que celle utilisée pour l'exécuter
    -> Ceci dit pour régler ce problème supprimez les fichiers ".class" qui se travent dans le repertoire src puis exécutez le code comme suit:
        -> javac paquetMain/Main.java
        -> java paquetMain/Main


## Comment jouer
Le jeu peut être joué de deux façons : via une interface graphique ou via le terminal.

1. Jouer via le terminal

Utilisez les touches suivantes pour jouer :

joueur:
    H pour aller en haut
    B pour aller en bas
    G pour aller à gauche
    D pour aller à droite
lancer des bombes:
    2 pour jeter une bombe en bas
    4 pour jeter une bombe à gauche
    8 pour jeter une bombe en haut
    6 pour jeter une bombe à droite
Q pour quitter le jeu

2. Jouer via l'interface graphique

Exécutez le jeu en mode interface graphique :

Utilisez les commandes suivantes dans l'interface graphique :

joueur:
    Les touches fléchées pour déplacer votre personnage.
lancer des bombes:
    (2 ou d ou D) pour jeter une bombe en bas 
    (4 ou s ou S) pour jeter une bombe à gauche
    (8 ou e ou E) pour jeter une bombe en haut
    (6 ou f ou F) pour jeter une bombe à droite
        ->petite précision:
            Les boutons de l'interface(2,4,6,8) et non pas les numero qui contiennent d'autres caractères et ceci afin de jeter des bombes et interagir avec les objets.
Le menu 
    pour quitter le jeu ou naviguer entre les niveaux.

## Objectifs du jeu
-> Collecter des objets comme des trésors, des couronnes, des diamonds.(petite précision les clefs ne sont pas considérées comme des objets !! )
-> Combattre des monstres.
-> Passer d'une salle à l'autre et compléter les niveaux.
-> Récuperer la clé qui se trouve dans la 1ere salle pour se téléporter dans toutes les 2ème salle.
-> Récuperer la clé qui se trouve dans la 2ème salle pour passer d'un niveau à un autre.


## Chargement des niveaux
Les niveaux du jeu sont définis dans des fichiers texte situés dans le répertoire levels/. Chaque niveau se compose de deux fichiers de salle :

level?_room1.txt
level?_room2.txt

-> Où "?" est le numéro du niveau.


## Getting Started

Welcome to the VS Code Java world. Here is a guideline to help you get started to write Java code in Visual Studio Code.

## Folder Structure

The workspace contains two folders by default, where:

- `src`: the folder to maintain sources
- `lib`: the folder to maintain dependencies

Meanwhile, the compiled output files will be generated in the `bin` folder by default.

> If you want to customize the folder structure, open `.vscode/settings.json` and update the related settings there.

## Dependency Management

The `JAVA PROJECTS` view allows you to manage your dependencies. More details can be found [here](https://github.com/microsoft/vscode-java-dependency#manage-dependencies).
