package paquetException;

/**
 * Classe MonException représente une exception personnalisée pour le jeu.
 */
public class MonException extends Exception {

    /**
     * Constructeur sans argument.
     */
    public MonException() {
        super();
    }

    /**
     * Constructeur avec un message d'erreur.
     * 
     * @param message Le message d'erreur.
     */
    public MonException(String message) {
        super(message);
    }

    /**
     * Constructeur avec un message d'erreur et une cause.
     * 
     * @param message Le message d'erreur.
     * @param cause La cause de l'exception.
     */
    public MonException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructeur avec une cause.
     * 
     * @param cause La cause de l'exception.
     */
    public MonException(Throwable cause) {
        super(cause);
    }
}
